Subject: Re: MPC52xx simple GPIO support

From: Anton Vorontsov <[email-masked]>
Date: Tue, 2 Jun 2009 21:15:27 +0400

Hi Stefan,

On Tue, Jun 02, 2009 at 07:02:25PM +0200, Stefan Strobl wrote:
> Hi
> I still don't quite understand how to use the Flattened Device Tree /
> Open Firmware. I see there's a driver (mpc52xx_gpt.c) that supports to
> use the Pins on the GPT as simple GPIOs. I activated it by adding these
> lines to my dts file:
> 
> gpt2: timer@620 {
> 	compatible = "fsl,mpc5200b-gpt-gpio","fsl,mpc5200-gpt-gpio";
> 	reg = <0x620 0x10>;
> 	interrupts = <1 11 0>;
> 	gpio-controller;
> 	#gpio-cells = <2>;
> };
> 
> I can see the appropriate entries in sysfs
> (/sys/devices/f0000000.soc5200/f0000620.timer), but how can I actually
> use these GPIO's now?

For in-kernel usage example you can take a look at:
arch/powerpc/boot/dts/mpc836x_rdk.dts (upm node, notice gpios = <>)
drivers/mtd/nand/fsl_upm.c (of_get_gpio() then gpio_request()).

For userland usage you need to enable CONFIG_GPIO_SYSFS, and then
look into /sys/class/gpio/{gpiochip,export,gpioNNN}.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2